## ros-humble-rclcpp-lifecycle 16.0.5

=== debian/changelog ===
ros-humble-rclcpp-lifecycle (16.0.5-2jammy) jammy; urgency=high

  * Fix thread safety in LifecycleNode::get_current_state() for Humble (#2183 <https://github.com/ros2/rclcpp/issues/2183>)
    * add initially-failing test case
    * apply changes to LifecycleNodeInterfaceImpl from #1756 <https://github.com/ros2/rclcpp/issues/1756>
    * add static member to State for managing state_handle_ access
    * allow parallel read access in MutexMap
  * Contributors: Joseph Schornak

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 17 Jul 2023 00:00:00 -0000

ros-humble-rclcpp-lifecycle (16.0.4-2jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 25 Apr 2023 00:00:00 -0000

ros-humble-rclcpp-lifecycle (16.0.3-2jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 10 Jan 2023 00:00:00 -0000

ros-humble-rclcpp-lifecycle (16.0.2-2jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-rclcpp-lifecycle (16.0.1-2jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 13 Apr 2022 00:00:00 -0000

ros-humble-rclcpp-lifecycle (16.0.0-2jammy) jammy; urgency=high

  * remove things that were deprecated during galactic (#1913 <https://github.com/ros2/rclcpp/issues/1913>)
  * Contributors: William Woodall

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-humble-rclcpp-lifecycle (15.4.0-2jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-rclcpp-lifecycle (15.3.0-2jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 30 Mar 2022 00:00:00 -0000

ros-humble-rclcpp-lifecycle (15.2.0-2jammy) jammy; urgency=high

  * Fix rosdoc2 issues (#1897 <https://github.com/ros2/rclcpp/issues/1897>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 24 Mar 2022 00:00:00 -0000

ros-humble-rclcpp-lifecycle (15.1.0-2jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#1888 <https://github.com/ros2/rclcpp/issues/1888>)
  * LifecycleNode::on_deactivate deactivate all managed entities. (#1885 <https://github.com/ros2/rclcpp/issues/1885>)
  * Contributors: Shane Loretz, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-rclcpp-lifecycle (15.0.0-2jammy) jammy; urgency=high

  * Automatically transition lifecycle entities when node transitions (#1863 <https://github.com/ros2/rclcpp/issues/1863>)
  * Contributors: Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 14 Jan 2022 00:00:00 -0000

ros-humble-rclcpp-lifecycle (14.1.0-2jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 05 Jan 2022 00:00:00 -0000

ros-humble-rclcpp-lifecycle (14.0.0-2jammy) jammy; urgency=high

  * Remove author by request (#1818 <https://github.com/ros2/rclcpp/issues/1818>)
  * Update maintainers (#1817 <https://github.com/ros2/rclcpp/issues/1817>)
  * Suppress clang dead-store warnings in the benchmarks. (#1802 <https://github.com/ros2/rclcpp/issues/1802>)
  * Contributors: Chris Lalancette, Jacob Perron

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 17 Dec 2021 00:00:00 -0000

ros-humble-rclcpp-lifecycle (13.1.0-2jammy) jammy; urgency=high

  * Update forward declarations of rcl_lifecycle types (#1788 <https://github.com/ros2/rclcpp/issues/1788>)
  * Deprecate the void shared_ptr<MessageT> subscription callback signatures (#1713 <https://github.com/ros2/rclcpp/issues/1713>)
  * Contributors: Abrar Rahman Protyasha, Michel Hidalgo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 18 Oct 2021 00:00:00 -0000

ros-humble-rclcpp-lifecycle (13.0.0-2jammy) jammy; urgency=high

  * Update client API to be able to remove pending requests. (#1734 <https://github.com/ros2/rclcpp/issues/1734>)
  * Change log level for lifecycle_publisher. (#1715 <https://github.com/ros2/rclcpp/issues/1715>)
  * Fix: RCLCPP_PUBLIC -> RCLCPP_LIFECYCLE_PUBLIC (#1732 <https://github.com/ros2/rclcpp/issues/1732>)
  * Use rcpputils/scope_exit.hpp and remove rclcpp/scope_exit.hpp (#1727 <https://github.com/ros2/rclcpp/issues/1727>)
  * Contributors: Alberto Soragna, Christophe Bedard, Ivan Santiago Paunovic, Shane Loretz

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 23 Aug 2021 00:00:00 -0000

ros-humble-rclcpp-lifecycle (12.0.0-2jammy) jammy; urgency=high

  * Remove unsafe get_callback_groups API.
    Callers should change to using for_each_callback_group(), or
    store the callback groups they need internally.
  * Add in callback_groups_for_each.
    The main reason to add this method in is to make accesses to the
    callback_groups_ vector thread-safe.  By having a
    callback_groups_for_each that accepts a std::function, we can
    just have the callers give us the callback they are interested
    in, and we can take care of the locking.
    The rest of this fairly large PR is cleaning up all of the places
    that use get_callback_groups() to instead use
    callback_groups_for_each().
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 26 Jul 2021 00:00:00 -0000

ros-humble-rclcpp-lifecycle (11.2.0-2jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 21 Jul 2021 00:00:00 -0000

ros-humble-rclcpp-lifecycle (11.1.0-2jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 13 Jul 2021 00:00:00 -0000

ros-humble-rclcpp-lifecycle (11.0.0-2jammy) jammy; urgency=high

  * Fix destruction order in lifecycle benchmark (#1675 <https://github.com/ros2/rclcpp/issues/1675>)
  * Contributors: Scott K Logan

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 18 May 2021 00:00:00 -0000

ros-humble-rclcpp-lifecycle (10.0.0-2jammy) jammy; urgency=high

  * [rclcpp] Type Adaptation feature (#1557 <https://github.com/ros2/rclcpp/issues/1557>)

