=== debian/control ===
Source: ros-humble-rclcpp-lifecycle
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-cmake-ros, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-lifecycle-msgs, ros-humble-mimick-vendor <!nocheck>, ros-humble-performance-test-fixture <!nocheck>, ros-humble-rcl-lifecycle, ros-humble-rclcpp, ros-humble-rcpputils <!nocheck>, ros-humble-rcutils <!nocheck>, ros-humble-rmw, ros-humble-rosidl-typesupport-cpp, ros-humble-test-msgs <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rclcpp-lifecycle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-lifecycle-msgs, ros-humble-rcl-lifecycle, ros-humble-rclcpp, ros-humble-rmw, ros-humble-rosidl-typesupport-cpp, ros-humble-ros-workspace
Description: Package containing a prototype for lifecycle implementation
