## ros-humble-rclcpp-lifecycle 16.0.9

=== debian/changelog ===
ros-humble-rclcpp-lifecycle (16.0.9-2bookworm) bookworm; urgency=high

  * call shutdown in LifecycleNode dtor to avoid leaving the device in un… (#2450 <https://github.com/ros2/rclcpp/issues/2450>) (#2491 <https://github.com/ros2/rclcpp/issues/2491>)
  * Contributors: mergify[bot]

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 14 May 2024 16:00:00 -0000

ros-humble-rclcpp-lifecycle (16.0.8-2bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rclcpp-lifecycle (16.0.7-2bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-rclcpp-lifecycle (16.0.6-2bookworm) bookworm; urgency=high

  * Switch lifecycle to use the RCLCPP macros Signed-off-by: Tony Najjar <mailto:tony.najjar.1997@gmail.com> (#2234 <https://github.com/ros2/rclcpp/issues/2234>)
  * Contributors: Tony Najjar

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rclcpp-lifecycle (16.0.5-2bookworm) bookworm; urgency=high

  * Fix thread safety in LifecycleNode::get_current_state() for Humble (#2183 <https://github.com/ros2/rclcpp/issues/2183>)
    * add initially-failing test case
    * apply changes to LifecycleNodeInterfaceImpl from #1756 <https://github.com/ros2/rclcpp/issues/1756>
    * add static member to State for managing state_handle_ access
    * allow parallel read access in MutexMap
  * Contributors: Joseph Schornak

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 16 Jul 2023 16:00:00 -0000

ros-humble-rclcpp-lifecycle (16.0.4-2bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-rclcpp-lifecycle (16.0.3-2bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-rclcpp-lifecycle (16.0.2-2bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rclcpp-lifecycle (16.0.1-2bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 12 Apr 2022 16:00:00 -0000

ros-humble-rclcpp-lifecycle (16.0.0-2bookworm) bookworm; urgency=high

  * remove things that were deprecated during galactic (#1913 <https://github.com/ros2/rclcpp/issues/1913>)
  * Contributors: William Woodall

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 07 Apr 2022 16:00:00 -0000

ros-humble-rclcpp-lifecycle (15.4.0-2bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 04 Apr 2022 16:00:00 -0000

ros-humble-rclcpp-lifecycle (15.3.0-2bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 29 Mar 2022 16:00:00 -0000

ros-humble-rclcpp-lifecycle (15.2.0-2bookworm) bookworm; urgency=high

  * Fix rosdoc2 issues (#1897 <https://github.com/ros2/rclcpp/issues/1897>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 23 Mar 2022 16:00:00 -0000

ros-humble-rclcpp-lifecycle (15.1.0-2bookworm) bookworm; urgency=high

  * Install headers to include/${PROJECT_NAME} (#1888 <https://github.com/ros2/rclcpp/issues/1888>)
  * LifecycleNode::on_deactivate deactivate all managed entities. (#1885 <https://github.com/ros2/rclcpp/issues/1885>)
  * Contributors: Shane Loretz, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rclcpp-lifecycle (15.0.0-2bookworm) bookworm; urgency=high

  * Automatically transition lifecycle entities when node transitions (#1863 <https://github.com/ros2/rclcpp/issues/1863>)
  * Contributors: Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-rclcpp-lifecycle (14.1.0-2bookworm) bookworm; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 04 Jan 2022 16:00:00 -0000

ros-humble-rclcpp-lifecycle (14.0.0-2bookworm) bookworm; urgency=high

  * Remove author by request (#1818 <https://github.com/ros2/rclcpp/issues/1818>)
  * Update maintainers (#1817 <https://github.com/ros2/rclcpp/issues/1817>)
  * Suppress clang dead-store warnings in the benchmarks. (#1802 <https://github.com/ros2/rclcpp/issues/1802>)
  * Contributors: Chris Lalancette, Jacob Perron

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-rclcpp-lifecycle (13.1.0-2bookworm) bookworm; urgency=high

  * Update forward declarations of rcl_lifecycle types (#1788 <https://github.com/ros2/rclcpp/issues/1788>)
  * Deprecate the void shared_ptr<MessageT> subscription callback signatures (#1713 <https://github.com/ros2/rclcpp/issues/1713>)
  * Contributors: Abrar Rahman Protyasha, Michel Hidalgo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 17 Oct 2021 16:00:00 -0000

ros-humble-rclcpp-lifecycle (13.0.0-2bookworm) bookworm; urgency=high

  * Update client API to be able to remove pending requests. (#1734 <https://github.com/ros2/rclcpp/issues/1734>)
  * Change log level for lifecycle_publisher. (#1715 <https://github.com/ros2/rclcpp/issues/1715>)
  * Fix: RCLCPP_PUBLIC -> RCLCPP_LIFECYCLE_PUBLIC (#1732 <https://github.com/ros2/rclcpp/issues/1732>)
  * Use rcpputils/scope_exit.hpp and remove rclcpp/scope_exit.hpp (#1727 <https://github.com/ros2/rclcpp/issues/1727>)
  * Contributors: Alberto Soragna, Christophe Bedard, Ivan Santiago Paunovic, Shane Loretz

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Sun, 22 Aug 2021 16:00:00 -0000

ros-humble-rclcpp-lifecycle (12.0.0-2bookworm) bookworm; urgency=high

  * Remove unsafe get_callback_groups API.
    Callers should change to using for_each_callback_group(), or
    store the callback groups they need internally.
  * Add in callback_groups_for_each.
    The main reason to add this method in is to make accesses to the
    callback_groups_ vector thread-safe.  By having a
    callback_groups_for_each that accepts a std::function, we can

